import { EventEmitter } from "@angular/core";
import { CalendarView } from "../../../../enum/calendar-view.enum";
import { ThumbThreeWayState } from "../../../../enum/thumb-three-way-state";
export declare class ViewSelectComponent {
    private readonly _viewsToThumb;
    selectedView: CalendarView;
    selectedViewChange: EventEmitter<CalendarView>;
    get modelAsThumbState(): ThumbThreeWayState;
    constructor();
    onThumbStateChange(thumbState: ThumbThreeWayState): void;
}
